# Check whether an Instagram user follows the account

Checks whether an Instagram user follows the account. Works with Instagram accounts.

```http
GET https://api.pozy.ai/v1/accounts/{accountId}/follow-status/{userId}
```

- Area: Accounts & connections / Accounts
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)
- `userId` (string, required)

## Query parameters

- `refresh` (boolean)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/follow-status/6da95b9455a22c1e061837af" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/follow-status/6da95b9455a22c1e061837af", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/follow-status/6da95b9455a22c1e061837af",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `userId`, string, required
- `accountId`, string, required
- `isFollower`, boolean, required: Can be null
- `isFollowedByAccount`, boolean: Can be null
- `followerCount`, integer: Can be null
- `isVerified`, boolean: Can be null
- `username`, string: Can be null
- `name`, string: Can be null
- `unavailableReason`, string: One of `consent_required`, `dm_access_disabled`, `not_messageable`, `error`. Can be null

```json
{
  "userId": "6da95b9455a22c1e061837af",
  "accountId": "696e0b682d0a31188e7a2ba9",
  "isFollower": true,
  "isFollowedByAccount": true,
  "followerCount": 42,
  "isVerified": true,
  "username": "acme",
  "name": "Acme",
  "unavailableReason": "consent_required"
}
```
